
From: Thomas Schlichter <thomas.schlichter@web.de>

the bk-acpi.patch leads to following warning:

In file included from include/asm/fixmap.h:18,
                 from arch/i386/kernel/time_hpet.c:17:
include/asm/acpi.h: In function `__acpi_acquire_global_lock':
include/asm/acpi.h:72: Warnung: implicit declaration of function `cmpxchg'

The attached patch fixes it by including <asm/system.h>.


---

 25-akpm/include/asm-i386/acpi.h |    2 ++
 1 files changed, 2 insertions(+)

diff -puN include/asm-i386/acpi.h~bk-acpi-warning-fix include/asm-i386/acpi.h
--- 25/include/asm-i386/acpi.h~bk-acpi-warning-fix	Mon Mar  8 13:54:54 2004
+++ 25-akpm/include/asm-i386/acpi.h	Mon Mar  8 13:54:54 2004
@@ -28,6 +28,8 @@
 
 #ifdef __KERNEL__
 
+#include <asm/system.h>
+
 #define COMPILER_DEPENDENT_INT64   long long
 #define COMPILER_DEPENDENT_UINT64  unsigned long long
 

_
